For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • Home
    • API Basics
  • Products
    • Global Fiat Payouts
    • On-Ramps and Off-Ramps
  • Integration Guides
    • Global payouts integration guide
    • Country-specific details
  • API Reference
      • GETList Webhook Subscriptions
      • POSTCreate a Webhook Subscription
      • GETGet a Webhook Subscription
      • DELDelete a Webhook Subscription
LogoLogo
API ReferenceWebhooks

Create a Webhook Subscription

POST
https://api.latitude.xyz/v1/webhook_subscriptions
POST
/v1/webhook_subscriptions
$curl -X POST https://api.latitude.xyz/v1/webhook_subscriptions \
> -H "Content-Type: application/json" \
> -d '{
> "url": "https://webhooks.example.com/latitude-events",
> "event_types": [
> "transfer.created",
> "transfer.completed",
> "conversion.completed"
> ]
>}'
1{
2 "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
3 "url": "https://webhooks.example.com/latitude-events",
4 "event_types": [
5 "transfer.created",
6 "transfer.completed",
7 "conversion.completed"
8 ],
9 "is_active": true,
10 "created_at": "2024-01-15T09:30:00Z",
11 "updated_at": "2024-01-15T09:30:00Z"
12}
Creates a new webhook subscription for the given URL and event types
Was this page helpful?
Previous

Get a Webhook Subscription

Next
Built with

Request

This endpoint expects an object.
urlstringRequired
Customer provided webhook URL
event_typeslist of enumsRequired
Event types to subscribe to

Response

Create a Webhook Subscription
idstring
Unique public identifier for the webhook subscription
urlstring
URL where webhook events are delivered
event_typeslist of enums
Event types this subscription receives
is_activeboolean
Whether the subscription is active
created_atstringformat: "date-time"
ISO 8601 timestamp when the subscription was created
updated_atstringformat: "date-time"
ISO 8601 timestamp when the subscription was last updated

Errors

400
Bad Request Error